#----------------------------------------------------------------------
#                      TP06 - Loi des grands nombres
#----------------------------------------------------------------------
#----------------------------------------------------------------------
#                       Exercise 1.1
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
echantillon=rbinom(n=1000,size=1,prob=.3)
#----------------------- question 2 -----------------------------------
plot(cumsum(echantillon)/(1:1000),type='l',main='Loi des grands nombres',ylim=c(0,0.7),xlab='Taille échantillon')
abline(h=.3,col=2)
legend(x='top',lty=1, col=1:2,legend=c('fréquence empirique de 1','probabilité de 1'),bty='n')
#----------------------- question 3 -----------------------------------
echantillon=rbinom(n=40000,size=1,prob=.3)
plot(cumsum(echantillon)/(1:40000),type='l',main='Loi des grands nombres',ylim=c(0,0.7),xlab='Taille échantillon')
abline(h=.3,col=2)
legend(x='top',lty=1, col=1:2,legend=c('fréquence empirique de 1','probabilité de 1'),bty='n')
#Pour n<=500, il y a de grandes fluctuation
#Pour n>2000, les fluctuation de la moyenne empirique autour de la moyenne theorique ne sont plus visible (à moins de zoomer)


#----------------------------------------------------------------------
#                        Exercise 1.2
#----------------------- question 1 -----------------------------------
TA <- read.table("data/TP06_tauber.csv",header=TRUE,sep=";")
H <- TA[,"height"]
sum(H>110)
sum(H<=110)
#----------------------- question 2 -----------------------------------
n <- length(H)
plot(1:n,cumsum(H>110)/(1:n),pch=".",ylim=c(0,1))
#----------------------- question 3 -----------------------------------
rH <- sample(H)
points(1:n,cumsum(rH>110)/(1:n),pch=".",col="blue")
#----------------------- question 4 -----------------------------------
iH <- sort(H)
points(1:n,cumsum(iH>110)/(1:n),pch=".",col="green")
#----------------------- question 5 -----------------------------------
dH <- sort(H,decreasing=TRUE)
points(1:n,cumsum(dH>110)/(1:n),pch=".",col="red")