#----------------------------------------------------------------------
#                      TP01 -Demarrer avec R
#----------------------------------------------------------------------
#----------------------------------------------------------------------
#                        Exercise 1.1
#----------------------------------------------------------------------
#----------------------- question 2 -----------------------------------
c(1,2,3,4,5)                                # creer un vecteur
X <- c(1,2,3,4,5)                           # Assigner le vecteur dans la variable X
X                                           # afficher X
#----------------------- question 3 -----------------------------------
Y <- c(1,4,9,16,25)                         # creer un vecteur sotcke dans Y
#----------------------- question 4 -----------------------------------
length(X)                                   # longueur de X
length(Y)                                   # longueur de Y
length(X)==length(Y)                        # Boolean (TRUE or FALSE) 
#----------------------- question 5 -----------------------------------
plot(X,Y)                                   # tracer le graphe y en fonction de X les marqueurs sont des cercles
plot(X,Y,pch=2)                             # changer le marqueur
plot(X,Y,type="b")                          # Tracer en reliant les points
plot(X,Y,main = "Y against X",xlab = "X",ylab = "Y")# titre et labels 
#----------------------- question 6 -----------------------------------
curve(x^2,add=TRUE)                         # ajouter une autre courbe


#----------------------------------------------------------------------
#                        Exercise 1.2
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
X <- 0:7                                    # creer un vecteur
#----------------------- question 2 -----------------------------------
X*5                                         # multiplier le vecteur par un scalaire 
X/5                                         # diviser le vecteur par un scalaire  
X+5                                         # additionner un scalaire a un vecteur
#----------------------- question 3 -----------------------------------
sum(X)                                      # sommer tous les elements de x
cumsum(X)                                   # somme cummulées de x
#----------------------- question 4 -----------------------------------
sqrt(X)                                     # la racine de x 
X^3                                         # x puissance 3


#----------------------------------------------------------------------
#                        Exercise 1.3
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
X <- (0:4)^2                                # creer un vecteur
X[c(3,5)]                                   # extraire la valeur
X[X>2]                                      # extraire les valeur
X[(X>2)&(X<10)]                             # extraire les valeur
#----------------------- question 2 -----------------------------------
Y <- rep(1,5)                               # creer un vecteur
Z <- seq(3,11,by=2)                         # creer un vecteur
c(X,Y,Z)                                    # concatenater
rbind(X,Y,Z)                                # lier par ligne
XYZ <- cbind(X,Y,Z)                         # lier par colomnes
#----------------------- question 3 -----------------------------------
rowSums(XYZ)                                # somme de chaque ligne
colSums(XYZ)                                # somme de chaque colomnes
#----------------------- question 4 -----------------------------------
XYZ[4,]                                     # ligne numero 4
XYZ[,3]                                     # colomne numero 3
XYZ[c(3,5),c(2,3)]                          # sous-matrice
XYZ[X>2,]                                   # sous-matrice
XYZ[,c("Y","Z")]                            # sous-matrice
#----------------------------------------------------------------------


#----------------------------------------------------------------------
#                        Exercise 1.4
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
phi <- function(x) {exp(-x^2/2)/sqrt(2*pi)}
#----------------------- question 2 -----------------------------------
quantiles <- seq(0,5.5,by=0.01)
n <- length(quantiles)
probs <- vector(mode="numeric",length=n)
for (i in 1:n) probs[i] <- integrate(phi,lower=-Inf,
upper=quantiles[i],rel.tol=0.00001)$value
#----------------------- question 3 -----------------------------------
all.equal(probs,pnorm(quantiles))
#----------------------- question 4	 -----------------------------------
plot(c(rev(-quantiles),quantiles),c(rev(1-probs),probs),type="l")
#----------------------- question 5	 -----------------------------------
curve(pnorm(x),add=TRUE,col="blue")

