#----------------------------------------------------------------------
#                      TP01 - Demarrer avec R - Statistiques univariées
#----------------------------------------------------------------------

#----------------------------------------------------------------------
#                        Exercise 1.1
#----------------------------------------------------------------------
install.packages("questionr")
library(questionr)
data("hdv2003")
d <- hdv2003
#----------------------- question 1 -----------------------------------
mean(d$heures.tv)
mean(d$heures.tv, na.rm = TRUE)
sd(d$heures.tv, na.rm = TRUE)
min(d$heures.tv, na.rm = TRUE)
max(d$heures.tv, na.rm = TRUE)
range(d$heures.tv, na.rm = TRUE)
median(d$heures.tv, na.rm = TRUE)
quantile(d$heures.tv, na.rm = TRUE)
summary(d$heures.tv)
hist(d$heures.tv, main = "Nombre d'heures passées devant la télé par jour",xlab = "Heures", ylab = "Effectif")
hist(d$heures.tv, main = "Heures de télé en 7 classes", breaks = 7,xlab = "Heures", ylab = "Proportion",probability = TRUE,col = "orange")
hist(d$heures.tv, main = "Heures de télé avec classes spécifiées", breaks = c(0, 1, 4, 9, 12), xlab = "Heures", ylab = "Proportion", col = "red")
#----------------------- question 2 -----------------------------------
plot(density(d$heures.tv, na.rm = TRUE), main = "Heures consacrées à la télévision")
plot(ecdf(d$heures.tv))
#----------------------- question 3 -----------------------------------
boxplot(d$heures.tv, main = "Nombre d'heures passées devant la télé par jour", ylab = "Heures")
#----------------------- question 4 -----------------------------------
table(d$sexe)
table(d$occup)
sort(table(d$occup))
sort(table(d$occup), decreasing = TRUE)
table(d$trav.satisf, useNA = "ifany")
summary(d$trav.satisf)
#----------------------- question 5 -----------------------------------
freq(d$qualif)
freq(d$qualif, cum = TRUE, total = TRUE, sort = "inc", digits = 2,  exclude = NA)
#----------------------- question 6 -----------------------------------
plot(table(d$freres.soeurs), main = "Nombre de frères, soeurs, demi-frères et demi-soeurs", ylab = "Effectif")
dotchart(as.matrix(sort(table(d$qualif)))[, 1], main = "Niveau de qualification")
dotchart(as.matrix(sort(table(d$qualif)))[, 1], main = "Niveau de qualification",pch=2)