#----------------------------------------------------------------------
#                      TP04 - LOI A DENSITE-Uniforme et exponentielle-
#----------------------------------------------------------------------
#----------------------------------------------------------------------
#                       Exercise 1.1
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
f <- function(x) (3/2)*sqrt(x)
integrate(f,lower=0,upper=1)
#----------------------- question 2 -----------------------------------
#méthode de la transformation inverse
#F(x)=x**(3/2)
u <- runif(1000)
x <- u**(2/3)
#----------------------- question 3 -----------------------------------
mean(x)
var(x)
#----------------------- question 4 -----------------------------------
#Le calcul analytique donne E(X)=3/5 et V(X)=12/175
#----------------------- question 5 -----------------------------------
classe <- c(0.3,0.5,0.7,0.85)
prob <- function(x){integrate(f,lower=0,upper=x)$value}
repartition <- c(0,apply(as.matrix(classe),MARGIN=1,FUN=prob),1)
prob.theorique <- diff(repartition)

compte <- function(x,vect.y) sum(vect.y<x)/length(vect.y)
repartition.emp <-  c(0,apply(as.matrix(classe),MARGIN=1,FUN=compte,x),1)
prob.emp <- diff(repartition.emp)


#----------------------------------------------------------------------
#                       Exercise 1.2
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
help(runif)
#----------------------- question 2 -----------------------------------
x=runif(5,0,1)
x
plot(x)
plot(x,x)
x50=runif(50,0,1)
x500=runif(500,0,1)
x5000=runif(5000,0,1)
plot(x50)
plot(x500,x500)
#----------------------- question 3 -----------------------------------
help(hist)
hist(x)
hist(x50)
hist(x5000)


#----------------------------------------------------------------------
#                        Exercise 1.3
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
 n <- 1000
simu <- data.frame(X1=runif(n),X2=runif(n))
#----------------------- question 2 -----------------------------------
#La distance de (X1, X2) au cˆot´e le plus proche est donn´ee par D = min(X1, X2, 1−
#X1, 1 − X2) (faire un dessin pour s en convaincre).
simu.d <- cbind(simu,1-simu)
D <- apply(simu.d,MARGIN=1,FUN=min)
mean(D<0.25)
#----------------------- question 3 -----------------------------------
dist.som <- function(coord){
d <- min(coord[1]^2+coord[2]^2,coord[1]^2+coord[4]^2,
coord[3]^2+coord[2]^2,coord[3]^2+coord[4]^2)
d <- sqrt(d)
}
D.som <- apply(simu.d,MARGIN=1,FUN=dist.som)
mean(D.som<0.25)
#----------------------- question 4 -----------------------------------
mean(D)
var(D)
hist(D,prob=TRUE)
curve(-8*x+4,add=TRUE)
# Densite sur [0,0.5] : f(x)=-8x+4


#----------------------------------------------------------------------
#                        Exercise 1.4
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
dunif(0.2,0,5)
dunif(-19,-17,-25)
dunif(10,6,12)
#----------------------- question 2 -----------------------------------
punif(0.2,0,5)
punif(-19,-17,-25)
punif(1.9,1,10)
1-punif(7,1,10)
punif(10,1,10)-punif(4,1,10)
punif(12,1,10)-punif(4,1,10)
punif(8,1,10)-punif(3,1,10)
punif(0.9,1,10)
#----------------------- question 3 -----------------------------------
qunif(0.5,2,4)
qunif(0.1,8,19)
qunif(0.5,1,15)
qunif(0.7,-5,7)


#----------------------------------------------------------------------
#                        Exercise 1.5
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------

#----------------------- question 2 -----------------------------------
u=runif(5,0,1)
a=-log(1-u, base = exp(1))

plot(a,a)
plot(u,u)

plot(u,u,type="l",col="red")
lines(a,a,type="l",col="green")

hist(u)
hist(a)

#n=50,500,5000
u=runif(50,0,1)
a=-log(1-u, base = exp(1))

plot(a,a)
plot(u,u)
hist(u)
hist(a)
#----------------------- question 3 -----------------------------------
b=rexp(5,1)
plot(b,b)
b=rexp(50,1)
plot(b,b)
b=rexp(500,1)
plot(b,b)
b=rexp(5000,1)
plot(b,b)
#----------------------- question 4 -----------------------------------
b=rexp(50,1)
plot(b,b)
b=rexp(50,0.1)
plot(b,b)
b=rexp(50,0.01)
plot(b,b)


#----------------------------------------------------------------------
#                        Exercise 1.6
#----------------------------------------------------------------------
#----------------------- question 1 -----------------------------------
dexp(0.2,0.9)
dexp(-19,9)
dexp(10,2.9)
#----------------------- question 2 -----------------------------------
pexp(0.2,0.9)
pexp(-19,4.5)
pexp(19,4.5)
pexp(1.9,3)
1-pexp(7,3)
pexp(10,3)-pexp(4,3)
pexp(12,3)-pexp(4,3)
pexp(8,3)-pexp(3,3)
pexp(0,3)
#----------------------- question 3 -----------------------------------
qexp(0.5,1) 
pexp(0.1,4)


#----------------------------------------------------------------------
#                        Exercise 1.7
#----------------------------------------------------------------------
curve(dexp(x, 0.5), xlim = c(0, 3), ylim = c(0, 1), col = "red", lwd = 3,
ylab = "", main = "Exemples de densités associées à la loi exponentielle")
curve(dexp(x, 1), col = "green", lwd = 3, add = TRUE)
curve(dexp(x, 1.5), col = "blue", lwd = 3, add = TRUE)
curve(dexp(x, 2), col = "yellow", lwd = 3, add = TRUE)
legend("topright", legend = c("E(0.5)", "E(1)", "E(1.5)", "E(2)"),
lty = 1, lwd = 3, col = c("red", "green", "blue", "yellow"))
